Bug 122332 - USB scanner not always recognized
Summary: USB scanner not always recognized
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xsane   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-03 12:32 UTC by Brian G. Anderson
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 15:27:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snippet of /var/log/messages showing scanner being plugged in (2.13 KB, text/plain)
2004-05-03 12:36 UTC, Brian G. Anderson
no flags Details

Description Brian G. Anderson 2004-05-03 12:32:18 UTC
Description of problem:
About 50% of the time my usb scannner is not recognized after booting
or plugging it in.  It may be a USB problem since, if it is recognized
once it will be recognized always by xsane until I reboot or
unplug/plug in the device.

In case it is interesting I using a cannon n1240u.

BTW xsane with this scanner worked without a hitch in FC1


Version-Release number of selected component (if applicable):
xsane-0.92-10


How reproducible:
About half of the time after reboot or plugging the device in.


Steps to Reproduce:
1. boot the machine or plug in the scanner
2. start xsane
3.
  
Actual results:
Sometime I get no devices found


Expected results:
xsane to find the scanner and start up.


Additional info:
I've attached a snippet of /var/log/messages with some annotation to
show when I plugged in the device and when it worked and when it didn't.

Comment 1 Brian G. Anderson 2004-05-03 12:36:48 UTC
Created attachment 99908 [details]
snippet of /var/log/messages showing scanner being plugged in

Comment 2 Tim Waugh 2004-05-04 13:20:36 UTC
Please try the 1.0.13-6 package:

ftp://people.redhat.com/twaugh/tmp/sane-backends/

Not sure if they will make a difference, but it's possible.

Comment 3 Brian G. Anderson 2004-05-04 13:57:15 UTC
It didn't help. Could it be a USB port problem.  When I unplug and
plug the scanner back in it has a good chance of working suddenly. 
That doesn't seem to be an sane issue.

On a different note:  why isn't xsane in my programs menu when I
install the package? Is this a bug that I should file seperately

Comment 4 Tim Waugh 2004-05-04 14:24:43 UTC
Okay, thanks for testing it.

Not sure why it's been removed from the menu, but it's intentional:

* Wed Apr 21 2004 Seth Nickell <snickell@redhat.com> 0.92-10
- Remove .desktop file

Perhaps because you can use GIMP for that?

Comment 5 Nils Philippsen 2006-01-16 14:35:01 UTC
Please check whether your problem persists with xsane-0.99-2 which should hit
Rawhide mirrors shortly.

Comment 6 John Thacker 2006-10-30 14:43:49 UTC
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.

Comment 7 John Thacker 2007-01-12 15:27:49 UTC
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.